<template>
  <nav class="navbar navbar-expand-lg navbar-light">
    <div class="collapse navbar-collapse" id="ca-navbar">
      <ul class="navbar-nav mx-auto" id="nav">

        <router-link
          :to="{ name: 'home' }"
          v-slot="{ href, route, navigate, isExactActive }" exact>
          <li
            :class="[isExactActive && 'active', 'nav-item ']"
          >
            <a :href="href" @click="navigate" class="nav-link">{{ route.meta.title }}</a>
          </li>
        </router-link>

        <router-link
          :to="{ name: 'game' }"
          v-slot="{ href, route, navigate, isActive }" >
          <li
            :class="[isActive && 'active', 'nav-item ']"
          >
            <a :href="href" @click="navigate" class="nav-link">{{ route.meta.title }}</a>
          </li>
        </router-link>
         <router-link
          :to="{ name: 'ranking' }"
          v-slot="{ href, route, navigate, isActive }" >
          <li
            :class="[isActive && 'active', 'nav-item ']"
          >
            <a :href="href" @click="navigate" class="nav-link">{{ route.meta.title }}</a>
          </li>
        </router-link>
        <li>
          <!-- logo TIMELINE -->
          <a href="/"><img id="header-logo" src="@/assets/timeline.png" alt="logo" /></a>
        </li>
        <!--<li class="nav-item">
          <a class="nav-link" href="#screenshot">FAQ</a>
        </li>-->

        <router-link
          :to="{ name: 'rules' }"
          v-slot="{ href, route, navigate, isActive }" >
          <li
            :class="[isActive && 'active', 'nav-item ']"
          >
            <a :href="href" @click="navigate" class="nav-link">{{ route.meta.title }}</a>
          </li>
        </router-link>
        
        <router-link v-if="!this.$store.getters['auth/isAuthenticated']"
          :to="{ name: 'register' }"
          v-slot="{ href, route, navigate, isActive }" >
          <li
            :class="[isActive && 'active', 'nav-item ']"
          >
            <a :href="href" @click="navigate" class="nav-link">{{ route.meta.title }}</a>
          </li>
        </router-link>

        <router-link v-if="this.$store.getters['auth/isAuthenticated']"
          :to="{ name: 'account' }"
          v-slot="{ href, route, navigate, isActive }" >
          <li
            :class="[isActive && 'active', 'nav-item ']"
          >
            <a :href="href" @click="navigate" class="nav-link">{{ route.meta.title }}</a>
          </li>
        </router-link>

        <router-link v-if="!this.$store.getters['auth/isAuthenticated']"
          :to="{ name: 'login' }"
          v-slot="{ href, route, navigate, isActive }" >
          <li
            :class="[isActive && 'active', 'nav-item ']"
          >
            <a :href="href" @click="navigate" class="nav-link">{{ route.meta.title }}</a>
          </li>
        </router-link>

        <router-link v-if="this.$store.getters['auth/isAuthenticated']"
          :to="{ name: 'logout' }"
          v-slot="{ href, route, navigate, isActive }" >
          <li
            :class="[isActive && 'active', 'nav-item ']"
          >
            <a :href="href" @click="navigate" class="nav-link">{{ route.meta.title }}</a>
          </li>
        </router-link>
        
      </ul>
    </div>
  </nav>
</template>

<script>
export default {
    name: 'NavBar'
}
</script>

<style scoped lang="scss"> 

.navbar{
  padding: 0%;
}

#nav{
  background-color: #262535;
  width: 100%;
  justify-content: center;
}

#header-logo {
  padding: 15px;
  width: 6.75rem;
 }

 .navbar-nav .nav-link {
   font-size: 1.5rem;
   color: #f8d32c;
 }

 .navbar-nav .nav-item{
   margin-left: .7rem;
   margin-right: .7rem;
 }
</style>